/* $Id: unitinfo.c 2154 2011-07-31 15:46:16Z truebrain $ */

/** @file src/table/unitinfo.c UnitInfo file table. */

#include <stdio.h>
#include "types.h"

#include "../unit.h"

const uint16 g_table_actionsAI[] = {ACTION_HUNT, ACTION_AREA_GUARD, ACTION_AMBUSH, ACTION_GUARD};

UnitInfo g_table_unitInfo[] = {
	{ /* 0 */
		{ /* objectInfo */
		/* stringID_abbrev      */ 194, /* "Carryall" */
		/* name                 */ "Carryall",
		/* stringID_full        */ 195, /* "All-Purpose Carryall" */
		/* wsa                  */ "carryall.wsa",
		{ /* flags */
		/* hasShadow            */ true,
		/* factory              */ false,
		/* notused_0004         */ false,
		/* variable_0008        */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ false,
		/* hasTurret            */ false,
		/* conquerable          */ false,
		/* variable_0100        */ false,
		/* noMessageOnDeath     */ false,
		/* tabSelectable        */ false,
		/* scriptNoSlowdown     */ true,
		/* targetAir            */ false,
		/* priority             */ true,
		/* notused_4000         */ false
		},
		/* spawnChance          */ 0,
		/* hitpoints            */ 100,
		/* fogUncoverRadius     */ 0,
		/* spriteID             */ 89,
		/* buildCredits         */ 800,
		/* buildTime            */ 64,
		/* availableCampaign    */ 0,
		/* structuresRequired   */ 0,
		/* sortPriority         */ 16,
		/* upgradeLevelRequired */ 0,
		/* actionsPlayer        */ { 7, 7, 7, 7 },
		/* available            */ 0,
		/* hintStringID         */ 0,
		/* priorityBuild        */ 20,
		/* priorityTarget       */ 16,
		/* availableHouse       */ 63,
		},
		/* indexStart           */ 0,
		/* indexEnd             */ 10,
		{ /* flags */
		/* notused_0001         */ false,
		/* variable_0002        */ false,
		/* variable_0004        */ false,
		/* sonicProtection      */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ false,
		/* variable_0040        */ false,
		/* variable_0080        */ true,
		/* notused_1000         */ false,
		/* notused_0200         */ false,
		/* variable_0400        */ false,
		/* variable_0800        */ false,
		/* deviateProtection    */ true,
		/* variable_2000        */ false,
		/* variable_4000        */ false,
		/* variable_8000        */ true
		},
		/* variable_38          */ 32,
		/* unknown_003A         */ { 5, 0 },
		/* movementType         */ 4,
		/* variable_3E          */ 0,
		/* variable_40          */ 200,
		/* turningSpeed         */ 3,
		/* unknown_0043         */ { 0 },
		/* spriteID             */ 283,
		/* turretSpriteID       */ -1,
		/* actionAI             */ 7,
		/* displayMode          */ 1,
		/* variable_4C          */ 0,
		/* fireDelay            */ 0,
		/* variable_50          */ 0,
		/* damage               */ 0,
		/* explosionType        */ -1,
		/* bulletType           */ -1,
		/* bulletSound          */ 42
	},

	{ /* 1 */
		{ /* objectInfo */
		/* stringID_abbrev      */ 196, /* "'Thopter" */
		/* name                 */ "'Thopter",
		/* stringID_full        */ 197, /* "Ornithipter" */
		/* wsa                  */ "orni.wsa",
		{ /* flags */
		/* hasShadow            */ true,
		/* factory              */ false,
		/* notused_0004         */ false,
		/* variable_0008        */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ false,
		/* hasTurret            */ false,
		/* conquerable          */ false,
		/* variable_0100        */ false,
		/* noMessageOnDeath     */ false,
		/* tabSelectable        */ false,
		/* scriptNoSlowdown     */ true,
		/* targetAir            */ false,
		/* priority             */ true,
		/* notused_4000         */ false
		},
		/* spawnChance          */ 0,
		/* hitpoints            */ 25,
		/* fogUncoverRadius     */ 5,
		/* spriteID             */ 97,
		/* buildCredits         */ 600,
		/* buildTime            */ 96,
		/* availableCampaign    */ 0,
		/* structuresRequired   */ 64,
		/* sortPriority         */ 28,
		/* upgradeLevelRequired */ 1,
		/* actionsPlayer        */ { 7, 7, 7, 7 },
		/* available            */ 0,
		/* hintStringID         */ 0,
		/* priorityBuild        */ 75,
		/* priorityTarget       */ 30,
		/* availableHouse       */ 62,
		},
		/* indexStart           */ 0,
		/* indexEnd             */ 10,
		{ /* flags */
		/* notused_0001         */ false,
		/* variable_0002        */ false,
		/* variable_0004        */ true,
		/* sonicProtection      */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ false,
		/* variable_0040        */ false,
		/* variable_0080        */ true,
		/* notused_1000         */ false,
		/* notused_0200         */ true,
		/* variable_0400        */ true,
		/* variable_0800        */ false,
		/* deviateProtection    */ false,
		/* variable_2000        */ false,
		/* variable_4000        */ false,
		/* variable_8000        */ true
		},
		/* variable_38          */ 24,
		/* unknown_003A         */ { 4, 0 },
		/* movementType         */ 4,
		/* variable_3E          */ 7,
		/* variable_40          */ 150,
		/* turningSpeed         */ 2,
		/* unknown_0043         */ { 0 },
		/* spriteID             */ 289,
		/* turretSpriteID       */ -1,
		/* actionAI             */ 7,
		/* displayMode          */ 5,
		/* variable_4C          */ 0,
		/* fireDelay            */ 50,
		/* variable_50          */ 50,
		/* damage               */ 50,
		/* explosionType        */ 0,
		/* bulletType           */ 22,
		/* bulletSound          */ 42
	},

	{ /* 2 */
		{ /* objectInfo */
		/* stringID_abbrev      */ 198, /* "Infantry" */
		/* name                 */ "Infantry",
		/* stringID_full        */ 199, /* "Light Infantry Squad" */
		/* wsa                  */ "infantry.wsa",
		{ /* flags */
		/* hasShadow            */ false,
		/* factory              */ false,
		/* notused_0004         */ false,
		/* variable_0008        */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ false,
		/* hasTurret            */ false,
		/* conquerable          */ false,
		/* variable_0100        */ false,
		/* noMessageOnDeath     */ false,
		/* tabSelectable        */ true,
		/* scriptNoSlowdown     */ false,
		/* targetAir            */ false,
		/* priority             */ true,
		/* notused_4000         */ false
		},
		/* spawnChance          */ 0,
		/* hitpoints            */ 50,
		/* fogUncoverRadius     */ 1,
		/* spriteID             */ 93,
		/* buildCredits         */ 100,
		/* buildTime            */ 32,
		/* availableCampaign    */ 0,
		/* structuresRequired   */ 0,
		/* sortPriority         */ 4,
		/* upgradeLevelRequired */ 1,
		/* actionsPlayer        */ { 0, 1, 2, 3 },
		/* available            */ 0,
		/* hintStringID         */ 0,
		/* priorityBuild        */ 20,
		/* priorityTarget       */ 20,
		/* availableHouse       */ 62,
		},
		/* indexStart           */ 22,
		/* indexEnd             */ 101,
		{ /* flags */
		/* notused_0001         */ false,
		/* variable_0002        */ false,
		/* variable_0004        */ false,
		/* sonicProtection      */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ false,
		/* variable_0040        */ true,
		/* variable_0080        */ false,
		/* notused_1000         */ false,
		/* notused_0200         */ true,
		/* variable_0400        */ true,
		/* variable_0800        */ false,
		/* deviateProtection    */ false,
		/* variable_2000        */ false,
		/* variable_4000        */ false,
		/* variable_8000        */ true
		},
		/* variable_38          */ 16,
		/* unknown_003A         */ { 0, 0 },
		/* movementType         */ 0,
		/* variable_3E          */ 15,
		/* variable_40          */ 5,
		/* turningSpeed         */ 3,
		/* unknown_0043         */ { 0 },
		/* spriteID             */ 329,
		/* turretSpriteID       */ -1,
		/* actionAI             */ 11,
		/* displayMode          */ 4,
		/* variable_4C          */ 0,
		/* fireDelay            */ 45,
		/* variable_50          */ 2,
		/* damage               */ 3,
		/* explosionType        */ 0,
		/* bulletType           */ 23,
		/* bulletSound          */ 58
	},

	{ /* 3 */
		{ /* objectInfo */
		/* stringID_abbrev      */ 200, /* "Troopers" */
		/* name                 */ "Troopers",
		/* stringID_full        */ 201, /* "Heavy Trooper Squad" */
		/* wsa                  */ "hyinfy.wsa",
		{ /* flags */
		/* hasShadow            */ false,
		/* factory              */ false,
		/* notused_0004         */ false,
		/* variable_0008        */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ false,
		/* hasTurret            */ false,
		/* conquerable          */ false,
		/* variable_0100        */ false,
		/* noMessageOnDeath     */ false,
		/* tabSelectable        */ true,
		/* scriptNoSlowdown     */ false,
		/* targetAir            */ true,
		/* priority             */ true,
		/* notused_4000         */ false
		},
		/* spawnChance          */ 0,
		/* hitpoints            */ 110,
		/* fogUncoverRadius     */ 1,
		/* spriteID             */ 103,
		/* buildCredits         */ 200,
		/* buildTime            */ 56,
		/* availableCampaign    */ 0,
		/* structuresRequired   */ 0,
		/* sortPriority         */ 8,
		/* upgradeLevelRequired */ 1,
		/* actionsPlayer        */ { 0, 1, 2, 3 },
		/* available            */ 0,
		/* hintStringID         */ 0,
		/* priorityBuild        */ 50,
		/* priorityTarget       */ 50,
		/* availableHouse       */ 61,
		},
		/* indexStart           */ 22,
		/* indexEnd             */ 101,
		{ /* flags */
		/* notused_0001         */ false,
		/* variable_0002        */ false,
		/* variable_0004        */ false,
		/* sonicProtection      */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ false,
		/* variable_0040        */ true,
		/* variable_0080        */ false,
		/* notused_1000         */ false,
		/* notused_0200         */ true,
		/* variable_0400        */ true,
		/* variable_0800        */ false,
		/* deviateProtection    */ false,
		/* variable_2000        */ false,
		/* variable_4000        */ false,
		/* variable_8000        */ true
		},
		/* variable_38          */ 16,
		/* unknown_003A         */ { 0, 0 },
		/* movementType         */ 0,
		/* variable_3E          */ 15,
		/* variable_40          */ 10,
		/* turningSpeed         */ 3,
		/* unknown_0043         */ { 0 },
		/* spriteID             */ 341,
		/* turretSpriteID       */ -1,
		/* actionAI             */ 11,
		/* displayMode          */ 4,
		/* variable_4C          */ 0,
		/* fireDelay            */ 50,
		/* variable_50          */ 5,
		/* damage               */ 5,
		/* explosionType        */ 0,
		/* bulletType           */ 23,
		/* bulletSound          */ 59
	},

	{ /* 4 */
		{ /* objectInfo */
		/* stringID_abbrev      */ 202, /* "Soldier" */
		/* name                 */ "Soldier",
		/* stringID_full        */ 203, /* "Infantry Soldier" */
		/* wsa                  */ "infantry.wsa",
		{ /* flags */
		/* hasShadow            */ false,
		/* factory              */ false,
		/* notused_0004         */ false,
		/* variable_0008        */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ false,
		/* hasTurret            */ false,
		/* conquerable          */ false,
		/* variable_0100        */ false,
		/* noMessageOnDeath     */ false,
		/* tabSelectable        */ true,
		/* scriptNoSlowdown     */ false,
		/* targetAir            */ false,
		/* priority             */ true,
		/* notused_4000         */ false
		},
		/* spawnChance          */ 0,
		/* hitpoints            */ 20,
		/* fogUncoverRadius     */ 1,
		/* spriteID             */ 102,
		/* buildCredits         */ 60,
		/* buildTime            */ 32,
		/* availableCampaign    */ 0,
		/* structuresRequired   */ 0,
		/* sortPriority         */ 2,
		/* upgradeLevelRequired */ 0,
		/* actionsPlayer        */ { 0, 1, 2, 3 },
		/* available            */ 0,
		/* hintStringID         */ 0,
		/* priorityBuild        */ 10,
		/* priorityTarget       */ 10,
		/* availableHouse       */ 62,
		},
		/* indexStart           */ 22,
		/* indexEnd             */ 101,
		{ /* flags */
		/* notused_0001         */ false,
		/* variable_0002        */ false,
		/* variable_0004        */ false,
		/* sonicProtection      */ false,
		/* variable_0010        */ true,
		/* variable_0020        */ false,
		/* variable_0040        */ true,
		/* variable_0080        */ false,
		/* notused_1000         */ false,
		/* notused_0200         */ true,
		/* variable_0400        */ false,
		/* variable_0800        */ false,
		/* deviateProtection    */ false,
		/* variable_2000        */ false,
		/* variable_4000        */ false,
		/* variable_8000        */ true
		},
		/* variable_38          */ 16,
		/* unknown_003A         */ { 0, 0 },
		/* movementType         */ 0,
		/* variable_3E          */ 12,
		/* variable_40          */ 8,
		/* turningSpeed         */ 3,
		/* unknown_0043         */ { 0 },
		/* spriteID             */ 311,
		/* turretSpriteID       */ -1,
		/* actionAI             */ 11,
		/* displayMode          */ 3,
		/* variable_4C          */ 0,
		/* fireDelay            */ 45,
		/* variable_50          */ 2,
		/* damage               */ 3,
		/* explosionType        */ 0,
		/* bulletType           */ 23,
		/* bulletSound          */ 58
	},

	{ /* 5 */
		{ /* objectInfo */
		/* stringID_abbrev      */ 204, /* "Trooper" */
		/* name                 */ "Trooper",
		/* stringID_full        */ 205, /* "Heavy Trooper" */
		/* wsa                  */ "hyinfy.wsa",
		{ /* flags */
		/* hasShadow            */ false,
		/* factory              */ false,
		/* notused_0004         */ false,
		/* variable_0008        */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ false,
		/* hasTurret            */ false,
		/* conquerable          */ false,
		/* variable_0100        */ false,
		/* noMessageOnDeath     */ false,
		/* tabSelectable        */ true,
		/* scriptNoSlowdown     */ false,
		/* targetAir            */ true,
		/* priority             */ true,
		/* notused_4000         */ false
		},
		/* spawnChance          */ 0,
		/* hitpoints            */ 45,
		/* fogUncoverRadius     */ 1,
		/* spriteID             */ 88,
		/* buildCredits         */ 100,
		/* buildTime            */ 56,
		/* availableCampaign    */ 0,
		/* structuresRequired   */ 0,
		/* sortPriority         */ 6,
		/* upgradeLevelRequired */ 0,
		/* actionsPlayer        */ { 0, 1, 2, 3 },
		/* available            */ 0,
		/* hintStringID         */ 0,
		/* priorityBuild        */ 20,
		/* priorityTarget       */ 30,
		/* availableHouse       */ 61,
		},
		/* indexStart           */ 22,
		/* indexEnd             */ 101,
		{ /* flags */
		/* notused_0001         */ false,
		/* variable_0002        */ false,
		/* variable_0004        */ false,
		/* sonicProtection      */ false,
		/* variable_0010        */ true,
		/* variable_0020        */ false,
		/* variable_0040        */ true,
		/* variable_0080        */ false,
		/* notused_1000         */ false,
		/* notused_0200         */ true,
		/* variable_0400        */ false,
		/* variable_0800        */ false,
		/* deviateProtection    */ false,
		/* variable_2000        */ false,
		/* variable_4000        */ false,
		/* variable_8000        */ true
		},
		/* variable_38          */ 16,
		/* unknown_003A         */ { 0, 0 },
		/* movementType         */ 0,
		/* variable_3E          */ 12,
		/* variable_40          */ 15,
		/* turningSpeed         */ 3,
		/* unknown_0043         */ { 0 },
		/* spriteID             */ 320,
		/* turretSpriteID       */ -1,
		/* actionAI             */ 11,
		/* displayMode          */ 3,
		/* variable_4C          */ 0,
		/* fireDelay            */ 50,
		/* variable_50          */ 5,
		/* damage               */ 5,
		/* explosionType        */ 0,
		/* bulletType           */ 23,
		/* bulletSound          */ 59
	},

	{ /* 6 */
		{ /* objectInfo */
		/* stringID_abbrev      */ 44, /* "Saboteur" */
		/* name                 */ "Saboteur",
		/* stringID_full        */ 44, /* "Insidious Saboteur" */
		/* wsa                  */ "saboture.wsa",
		{ /* flags */
		/* hasShadow            */ false,
		/* factory              */ false,
		/* notused_0004         */ false,
		/* variable_0008        */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ false,
		/* hasTurret            */ false,
		/* conquerable          */ false,
		/* variable_0100        */ false,
		/* noMessageOnDeath     */ false,
		/* tabSelectable        */ true,
		/* scriptNoSlowdown     */ true,
		/* targetAir            */ false,
		/* priority             */ true,
		/* notused_4000         */ false
		},
		/* spawnChance          */ 0,
		/* hitpoints            */ 10,
		/* fogUncoverRadius     */ 1,
		/* spriteID             */ 96,
		/* buildCredits         */ 120,
		/* buildTime            */ 48,
		/* availableCampaign    */ 0,
		/* structuresRequired   */ 0,
		/* sortPriority         */ 0,
		/* upgradeLevelRequired */ 0,
		/* actionsPlayer        */ { 9, 1, 2, 3 },
		/* available            */ 0,
		/* hintStringID         */ 0,
		/* priorityBuild        */ 0,
		/* priorityTarget       */ 700,
		/* availableHouse       */ 4,
		},
		/* indexStart           */ 20,
		/* indexEnd             */ 21,
		{ /* flags */
		/* notused_0001         */ false,
		/* variable_0002        */ false,
		/* variable_0004        */ false,
		/* sonicProtection      */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ false,
		/* variable_0040        */ true,
		/* variable_0080        */ false,
		/* notused_1000         */ false,
		/* notused_0200         */ true,
		/* variable_0400        */ false,
		/* variable_0800        */ false,
		/* deviateProtection    */ false,
		/* variable_2000        */ false,
		/* variable_4000        */ false,
		/* variable_8000        */ true
		},
		/* variable_38          */ 8,
		/* unknown_003A         */ { 0, 0 },
		/* movementType         */ 0,
		/* variable_3E          */ 7,
		/* variable_40          */ 40,
		/* turningSpeed         */ 3,
		/* unknown_0043         */ { 0 },
		/* spriteID             */ 301,
		/* turretSpriteID       */ -1,
		/* actionAI             */ 9,
		/* displayMode          */ 3,
		/* variable_4C          */ 0,
		/* fireDelay            */ 45,
		/* variable_50          */ 2,
		/* damage               */ 2,
		/* explosionType        */ 0,
		/* bulletType           */ 23,
		/* bulletSound          */ 58
	},

	{ /* 7 */
		{ /* objectInfo */
		/* stringID_abbrev      */ 208, /* "Launcher" */
		/* name                 */ "Launcher",
		/* stringID_full        */ 209, /* "Rocket Launcher" */
		/* wsa                  */ "rtank.wsa",
		{ /* flags */
		/* hasShadow            */ false,
		/* factory              */ false,
		/* notused_0004         */ false,
		/* variable_0008        */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ false,
		/* hasTurret            */ false,
		/* conquerable          */ false,
		/* variable_0100        */ true,
		/* noMessageOnDeath     */ false,
		/* tabSelectable        */ true,
		/* scriptNoSlowdown     */ false,
		/* targetAir            */ true,
		/* priority             */ true,
		/* notused_4000         */ false
		},
		/* spawnChance          */ 64,
		/* hitpoints            */ 100,
		/* fogUncoverRadius     */ 5,
		/* spriteID             */ 85,
		/* buildCredits         */ 450,
		/* buildTime            */ 72,
		/* availableCampaign    */ 0,
		/* structuresRequired   */ 0,
		/* sortPriority         */ 26,
		/* upgradeLevelRequired */ 2,
		/* actionsPlayer        */ { 0, 1, 2, 3 },
		/* available            */ 0,
		/* hintStringID         */ 0,
		/* priorityBuild        */ 100,
		/* priorityTarget       */ 150,
		/* availableHouse       */ 59,
		},
		/* indexStart           */ 22,
		/* indexEnd             */ 101,
		{ /* flags */
		/* notused_0001         */ false,
		/* variable_0002        */ false,
		/* variable_0004        */ true,
		/* sonicProtection      */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ true,
		/* variable_0040        */ true,
		/* variable_0080        */ false,
		/* notused_1000         */ false,
		/* notused_0200         */ false,
		/* variable_0400        */ true,
		/* variable_0800        */ false,
		/* deviateProtection    */ false,
		/* variable_2000        */ false,
		/* variable_4000        */ false,
		/* variable_8000        */ true
		},
		/* variable_38          */ 16,
		/* unknown_003A         */ { 3, 0 },
		/* movementType         */ 1,
		/* variable_3E          */ 0,
		/* variable_40          */ 30,
		/* turningSpeed         */ 1,
		/* unknown_0043         */ { 0 },
		/* spriteID             */ 111,
		/* turretSpriteID       */ 146,
		/* actionAI             */ 11,
		/* displayMode          */ 1,
		/* variable_4C          */ 162,
		/* fireDelay            */ 120,
		/* variable_50          */ 9,
		/* damage               */ 75,
		/* explosionType        */ 3,
		/* bulletType           */ 19,
		/* bulletSound          */ -1
	},

	{ /* 8 */
		{ /* objectInfo */
		/* stringID_abbrev      */ 210, /* "Deviator" */
		/* name                 */ "Deviator",
		/* stringID_full        */ 211, /* "Deviator launcher" */
		/* wsa                  */ "ordrtank.wsa",
		{ /* flags */
		/* hasShadow            */ false,
		/* factory              */ false,
		/* notused_0004         */ false,
		/* variable_0008        */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ false,
		/* hasTurret            */ false,
		/* conquerable          */ false,
		/* variable_0100        */ true,
		/* noMessageOnDeath     */ false,
		/* tabSelectable        */ true,
		/* scriptNoSlowdown     */ false,
		/* targetAir            */ false,
		/* priority             */ true,
		/* notused_4000         */ false
		},
		/* spawnChance          */ 64,
		/* hitpoints            */ 120,
		/* fogUncoverRadius     */ 5,
		/* spriteID             */ 98,
		/* buildCredits         */ 750,
		/* buildTime            */ 80,
		/* availableCampaign    */ 0,
		/* structuresRequired   */ 64,
		/* sortPriority         */ 30,
		/* upgradeLevelRequired */ 0,
		/* actionsPlayer        */ { 0, 1, 2, 3 },
		/* available            */ 0,
		/* hintStringID         */ 0,
		/* priorityBuild        */ 50,
		/* priorityTarget       */ 175,
		/* availableHouse       */ 4,
		},
		/* indexStart           */ 22,
		/* indexEnd             */ 101,
		{ /* flags */
		/* notused_0001         */ false,
		/* variable_0002        */ false,
		/* variable_0004        */ true,
		/* sonicProtection      */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ true,
		/* variable_0040        */ true,
		/* variable_0080        */ false,
		/* notused_1000         */ false,
		/* notused_0200         */ false,
		/* variable_0400        */ false,
		/* variable_0800        */ false,
		/* deviateProtection    */ false,
		/* variable_2000        */ false,
		/* variable_4000        */ false,
		/* variable_8000        */ true
		},
		/* variable_38          */ 16,
		/* unknown_003A         */ { 3, 0 },
		/* movementType         */ 1,
		/* variable_3E          */ 0,
		/* variable_40          */ 30,
		/* turningSpeed         */ 1,
		/* unknown_0043         */ { 0 },
		/* spriteID             */ 111,
		/* turretSpriteID       */ 146,
		/* actionAI             */ 11,
		/* displayMode          */ 1,
		/* variable_4C          */ 162,
		/* fireDelay            */ 180,
		/* variable_50          */ 7,
		/* damage               */ 0,
		/* explosionType        */ 3,
		/* bulletType           */ 21,
		/* bulletSound          */ -1
	},

	{ /* 9 */
		{ /* objectInfo */
		/* stringID_abbrev      */ 212, /* "Tank" */
		/* name                 */ "Tank",
		/* stringID_full        */ 213, /* "Combat Tank" */
		/* wsa                  */ "ltank.wsa",
		{ /* flags */
		/* hasShadow            */ false,
		/* factory              */ false,
		/* notused_0004         */ false,
		/* variable_0008        */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ false,
		/* hasTurret            */ true,
		/* conquerable          */ false,
		/* variable_0100        */ true,
		/* noMessageOnDeath     */ false,
		/* tabSelectable        */ true,
		/* scriptNoSlowdown     */ false,
		/* targetAir            */ false,
		/* priority             */ true,
		/* notused_4000         */ false
		},
		/* spawnChance          */ 64,
		/* hitpoints            */ 200,
		/* fogUncoverRadius     */ 3,
		/* spriteID             */ 90,
		/* buildCredits         */ 300,
		/* buildTime            */ 64,
		/* availableCampaign    */ 0,
		/* structuresRequired   */ 0,
		/* sortPriority         */ 22,
		/* upgradeLevelRequired */ 0,
		/* actionsPlayer        */ { 0, 1, 2, 3 },
		/* available            */ 0,
		/* hintStringID         */ 0,
		/* priorityBuild        */ 80,
		/* priorityTarget       */ 100,
		/* availableHouse       */ 63,
		},
		/* indexStart           */ 22,
		/* indexEnd             */ 101,
		{ /* flags */
		/* notused_0001         */ false,
		/* variable_0002        */ false,
		/* variable_0004        */ true,
		/* sonicProtection      */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ true,
		/* variable_0040        */ true,
		/* variable_0080        */ false,
		/* notused_1000         */ false,
		/* notused_0200         */ false,
		/* variable_0400        */ false,
		/* variable_0800        */ false,
		/* deviateProtection    */ false,
		/* variable_2000        */ false,
		/* variable_4000        */ false,
		/* variable_8000        */ true
		},
		/* variable_38          */ 16,
		/* unknown_003A         */ { 2, 0 },
		/* movementType         */ 1,
		/* variable_3E          */ 0,
		/* variable_40          */ 25,
		/* turningSpeed         */ 1,
		/* unknown_0043         */ { 0 },
		/* spriteID             */ 111,
		/* turretSpriteID       */ 116,
		/* actionAI             */ 11,
		/* displayMode          */ 1,
		/* variable_4C          */ 162,
		/* fireDelay            */ 80,
		/* variable_50          */ 4,
		/* damage               */ 25,
		/* explosionType        */ 1,
		/* bulletType           */ 23,
		/* bulletSound          */ 57
	},

	{ /* 10 */
		{ /* objectInfo */
		/* stringID_abbrev      */ 214, /* "Siege Tank" */
		/* name                 */ "Siege Tank",
		/* stringID_full        */ 215, /* "Heavy Siege Tank" */
		/* wsa                  */ "htank.wsa",
		{ /* flags */
		/* hasShadow            */ false,
		/* factory              */ false,
		/* notused_0004         */ false,
		/* variable_0008        */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ false,
		/* hasTurret            */ true,
		/* conquerable          */ false,
		/* variable_0100        */ true,
		/* noMessageOnDeath     */ false,
		/* tabSelectable        */ true,
		/* scriptNoSlowdown     */ false,
		/* targetAir            */ false,
		/* priority             */ true,
		/* notused_4000         */ false
		},
		/* spawnChance          */ 64,
		/* hitpoints            */ 300,
		/* fogUncoverRadius     */ 4,
		/* spriteID             */ 84,
		/* buildCredits         */ 600,
		/* buildTime            */ 96,
		/* availableCampaign    */ 0,
		/* structuresRequired   */ 0,
		/* sortPriority         */ 24,
		/* upgradeLevelRequired */ 3,
		/* actionsPlayer        */ { 0, 1, 2, 3 },
		/* available            */ 0,
		/* hintStringID         */ 0,
		/* priorityBuild        */ 130,
		/* priorityTarget       */ 150,
		/* availableHouse       */ 63,
		},
		/* indexStart           */ 22,
		/* indexEnd             */ 101,
		{ /* flags */
		/* notused_0001         */ false,
		/* variable_0002        */ false,
		/* variable_0004        */ true,
		/* sonicProtection      */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ true,
		/* variable_0040        */ true,
		/* variable_0080        */ false,
		/* notused_1000         */ false,
		/* notused_0200         */ false,
		/* variable_0400        */ true,
		/* variable_0800        */ false,
		/* deviateProtection    */ false,
		/* variable_2000        */ false,
		/* variable_4000        */ false,
		/* variable_8000        */ true
		},
		/* variable_38          */ 24,
		/* unknown_003A         */ { 2, 0 },
		/* movementType         */ 1,
		/* variable_3E          */ 0,
		/* variable_40          */ 20,
		/* turningSpeed         */ 1,
		/* unknown_0043         */ { 0 },
		/* spriteID             */ 121,
		/* turretSpriteID       */ 126,
		/* actionAI             */ 11,
		/* displayMode          */ 1,
		/* variable_4C          */ 162,
		/* fireDelay            */ 90,
		/* variable_50          */ 5,
		/* damage               */ 30,
		/* explosionType        */ 1,
		/* bulletType           */ 23,
		/* bulletSound          */ 57
	},

	{ /* 11 */
		{ /* objectInfo */
		/* stringID_abbrev      */ 216, /* "Devastator" */
		/* name                 */ "Devastator",
		/* stringID_full        */ 217, /* "Devastator Tank" */
		/* wsa                  */ "harktank.wsa",
		{ /* flags */
		/* hasShadow            */ false,
		/* factory              */ false,
		/* notused_0004         */ false,
		/* variable_0008        */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ false,
		/* hasTurret            */ false,
		/* conquerable          */ false,
		/* variable_0100        */ true,
		/* noMessageOnDeath     */ false,
		/* tabSelectable        */ true,
		/* scriptNoSlowdown     */ false,
		/* targetAir            */ false,
		/* priority             */ true,
		/* notused_4000         */ false
		},
		/* spawnChance          */ 64,
		/* hitpoints            */ 400,
		/* fogUncoverRadius     */ 4,
		/* spriteID             */ 87,
		/* buildCredits         */ 800,
		/* buildTime            */ 104,
		/* availableCampaign    */ 0,
		/* structuresRequired   */ 64,
		/* sortPriority         */ 32,
		/* upgradeLevelRequired */ 0,
		/* actionsPlayer        */ { 0, 1, 13, 3 },
		/* available            */ 0,
		/* hintStringID         */ 0,
		/* priorityBuild        */ 175,
		/* priorityTarget       */ 180,
		/* availableHouse       */ 57,
		},
		/* indexStart           */ 22,
		/* indexEnd             */ 101,
		{ /* flags */
		/* notused_0001         */ true,
		/* variable_0002        */ false,
		/* variable_0004        */ true,
		/* sonicProtection      */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ true,
		/* variable_0040        */ true,
		/* variable_0080        */ false,
		/* notused_1000         */ false,
		/* notused_0200         */ false,
		/* variable_0400        */ true,
		/* variable_0800        */ false,
		/* deviateProtection    */ false,
		/* variable_2000        */ false,
		/* variable_4000        */ false,
		/* variable_8000        */ true
		},
		/* variable_38          */ 24,
		/* unknown_003A         */ { 2, 0 },
		/* movementType         */ 1,
		/* variable_3E          */ 0,
		/* variable_40          */ 10,
		/* turningSpeed         */ 1,
		/* unknown_0043         */ { 0 },
		/* spriteID             */ 131,
		/* turretSpriteID       */ 136,
		/* actionAI             */ 11,
		/* displayMode          */ 1,
		/* variable_4C          */ 165,
		/* fireDelay            */ 100,
		/* variable_50          */ 5,
		/* damage               */ 40,
		/* explosionType        */ 1,
		/* bulletType           */ 23,
		/* bulletSound          */ 57
	},

	{ /* 12 */
		{ /* objectInfo */
		/* stringID_abbrev      */ 218, /* "Sonic Tank" */
		/* name                 */ "Sonic Tank",
		/* stringID_full        */ 219, /* "Sonic Wave Tank" */
		/* wsa                  */ "stank.wsa",
		{ /* flags */
		/* hasShadow            */ false,
		/* factory              */ false,
		/* notused_0004         */ false,
		/* variable_0008        */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ false,
		/* hasTurret            */ false,
		/* conquerable          */ false,
		/* variable_0100        */ true,
		/* noMessageOnDeath     */ false,
		/* tabSelectable        */ true,
		/* scriptNoSlowdown     */ false,
		/* targetAir            */ false,
		/* priority             */ true,
		/* notused_4000         */ false
		},
		/* spawnChance          */ 64,
		/* hitpoints            */ 110,
		/* fogUncoverRadius     */ 4,
		/* spriteID             */ 91,
		/* buildCredits         */ 600,
		/* buildTime            */ 104,
		/* availableCampaign    */ 0,
		/* structuresRequired   */ 64,
		/* sortPriority         */ 34,
		/* upgradeLevelRequired */ 0,
		/* actionsPlayer        */ { 0, 1, 2, 3 },
		/* available            */ 0,
		/* hintStringID         */ 0,
		/* priorityBuild        */ 80,
		/* priorityTarget       */ 110,
		/* availableHouse       */ 58,
		},
		/* indexStart           */ 22,
		/* indexEnd             */ 101,
		{ /* flags */
		/* notused_0001         */ false,
		/* variable_0002        */ false,
		/* variable_0004        */ true,
		/* sonicProtection      */ true,
		/* variable_0010        */ false,
		/* variable_0020        */ true,
		/* variable_0040        */ true,
		/* variable_0080        */ false,
		/* notused_1000         */ false,
		/* notused_0200         */ false,
		/* variable_0400        */ false,
		/* variable_0800        */ false,
		/* deviateProtection    */ false,
		/* variable_2000        */ false,
		/* variable_4000        */ false,
		/* variable_8000        */ true
		},
		/* variable_38          */ 16,
		/* unknown_003A         */ { 3, 0 },
		/* movementType         */ 1,
		/* variable_3E          */ 0,
		/* variable_40          */ 30,
		/* turningSpeed         */ 1,
		/* unknown_0043         */ { 0 },
		/* spriteID             */ 111,
		/* turretSpriteID       */ 141,
		/* actionAI             */ 11,
		/* displayMode          */ 1,
		/* variable_4C          */ 162,
		/* fireDelay            */ 80,
		/* variable_50          */ 8,
		/* damage               */ 60,
		/* explosionType        */ -1,
		/* bulletType           */ 24,
		/* bulletSound          */ 43
	},

	{ /* 13 */
		{ /* objectInfo */
		/* stringID_abbrev      */ 220, /* "Trike" */
		/* name                 */ "Trike",
		/* stringID_full        */ 221, /* "Light Attack Trike" */
		/* wsa                  */ "trike.wsa",
		{ /* flags */
		/* hasShadow            */ false,
		/* factory              */ false,
		/* notused_0004         */ false,
		/* variable_0008        */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ false,
		/* hasTurret            */ false,
		/* conquerable          */ false,
		/* variable_0100        */ true,
		/* noMessageOnDeath     */ false,
		/* tabSelectable        */ true,
		/* scriptNoSlowdown     */ false,
		/* targetAir            */ false,
		/* priority             */ true,
		/* notused_4000         */ false
		},
		/* spawnChance          */ 64,
		/* hitpoints            */ 100,
		/* fogUncoverRadius     */ 2,
		/* spriteID             */ 92,
		/* buildCredits         */ 150,
		/* buildTime            */ 40,
		/* availableCampaign    */ 0,
		/* structuresRequired   */ 0,
		/* sortPriority         */ 10,
		/* upgradeLevelRequired */ 0,
		/* actionsPlayer        */ { 0, 1, 2, 3 },
		/* available            */ 0,
		/* hintStringID         */ 0,
		/* priorityBuild        */ 50,
		/* priorityTarget       */ 50,
		/* availableHouse       */ 58,
		},
		/* indexStart           */ 22,
		/* indexEnd             */ 101,
		{ /* flags */
		/* notused_0001         */ false,
		/* variable_0002        */ false,
		/* variable_0004        */ true,
		/* sonicProtection      */ false,
		/* variable_0010        */ true,
		/* variable_0020        */ true,
		/* variable_0040        */ true,
		/* variable_0080        */ false,
		/* notused_1000         */ true,
		/* notused_0200         */ false,
		/* variable_0400        */ true,
		/* variable_0800        */ false,
		/* deviateProtection    */ false,
		/* variable_2000        */ false,
		/* variable_4000        */ false,
		/* variable_8000        */ true
		},
		/* variable_38          */ 16,
		/* unknown_003A         */ { 1, 0 },
		/* movementType         */ 3,
		/* variable_3E          */ 0,
		/* variable_40          */ 45,
		/* turningSpeed         */ 2,
		/* unknown_0043         */ { 0 },
		/* spriteID             */ 243,
		/* turretSpriteID       */ -1,
		/* actionAI             */ 11,
		/* displayMode          */ 1,
		/* variable_4C          */ 0,
		/* fireDelay            */ 50,
		/* variable_50          */ 3,
		/* damage               */ 5,
		/* explosionType        */ 0,
		/* bulletType           */ 23,
		/* bulletSound          */ 59
	},

	{ /* 14 */
		{ /* objectInfo */
		/* stringID_abbrev      */ 222, /* "Raider Trike" */
		/* name                 */ "Raider Trike",
		/* stringID_full        */ 223, /* "Fast Raider Trike" */
		/* wsa                  */ "otrike.wsa",
		{ /* flags */
		/* hasShadow            */ false,
		/* factory              */ false,
		/* notused_0004         */ false,
		/* variable_0008        */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ false,
		/* hasTurret            */ false,
		/* conquerable          */ false,
		/* variable_0100        */ true,
		/* noMessageOnDeath     */ false,
		/* tabSelectable        */ true,
		/* scriptNoSlowdown     */ false,
		/* targetAir            */ false,
		/* priority             */ true,
		/* notused_4000         */ false
		},
		/* spawnChance          */ 64,
		/* hitpoints            */ 80,
		/* fogUncoverRadius     */ 2,
		/* spriteID             */ 99,
		/* buildCredits         */ 150,
		/* buildTime            */ 40,
		/* availableCampaign    */ 0,
		/* structuresRequired   */ 0,
		/* sortPriority         */ 12,
		/* upgradeLevelRequired */ 0,
		/* actionsPlayer        */ { 0, 1, 2, 3 },
		/* available            */ 0,
		/* hintStringID         */ 0,
		/* priorityBuild        */ 55,
		/* priorityTarget       */ 60,
		/* availableHouse       */ 60,
		},
		/* indexStart           */ 22,
		/* indexEnd             */ 101,
		{ /* flags */
		/* notused_0001         */ false,
		/* variable_0002        */ false,
		/* variable_0004        */ true,
		/* sonicProtection      */ false,
		/* variable_0010        */ true,
		/* variable_0020        */ true,
		/* variable_0040        */ true,
		/* variable_0080        */ false,
		/* notused_1000         */ true,
		/* notused_0200         */ false,
		/* variable_0400        */ true,
		/* variable_0800        */ false,
		/* deviateProtection    */ false,
		/* variable_2000        */ false,
		/* variable_4000        */ false,
		/* variable_8000        */ true
		},
		/* variable_38          */ 16,
		/* unknown_003A         */ { 1, 0 },
		/* movementType         */ 3,
		/* variable_3E          */ 0,
		/* variable_40          */ 60,
		/* turningSpeed         */ 2,
		/* unknown_0043         */ { 0 },
		/* spriteID             */ 243,
		/* turretSpriteID       */ -1,
		/* actionAI             */ 11,
		/* displayMode          */ 1,
		/* variable_4C          */ 0,
		/* fireDelay            */ 50,
		/* variable_50          */ 3,
		/* damage               */ 5,
		/* explosionType        */ 0,
		/* bulletType           */ 23,
		/* bulletSound          */ 59
	},

	{ /* 15 */
		{ /* objectInfo */
		/* stringID_abbrev      */ 224, /* "Quad" */
		/* name                 */ "Quad",
		/* stringID_full        */ 225, /* "Heavy Attack Quad" */
		/* wsa                  */ "quad.wsa",
		{ /* flags */
		/* hasShadow            */ false,
		/* factory              */ false,
		/* notused_0004         */ false,
		/* variable_0008        */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ false,
		/* hasTurret            */ false,
		/* conquerable          */ false,
		/* variable_0100        */ true,
		/* noMessageOnDeath     */ false,
		/* tabSelectable        */ true,
		/* scriptNoSlowdown     */ false,
		/* targetAir            */ false,
		/* priority             */ true,
		/* notused_4000         */ false
		},
		/* spawnChance          */ 64,
		/* hitpoints            */ 130,
		/* fogUncoverRadius     */ 2,
		/* spriteID             */ 86,
		/* buildCredits         */ 200,
		/* buildTime            */ 48,
		/* availableCampaign    */ 0,
		/* structuresRequired   */ 0,
		/* sortPriority         */ 14,
		/* upgradeLevelRequired */ 1,
		/* actionsPlayer        */ { 0, 1, 2, 3 },
		/* available            */ 0,
		/* hintStringID         */ 0,
		/* priorityBuild        */ 60,
		/* priorityTarget       */ 60,
		/* availableHouse       */ 63,
		},
		/* indexStart           */ 22,
		/* indexEnd             */ 101,
		{ /* flags */
		/* notused_0001         */ false,
		/* variable_0002        */ false,
		/* variable_0004        */ true,
		/* sonicProtection      */ false,
		/* variable_0010        */ true,
		/* variable_0020        */ true,
		/* variable_0040        */ true,
		/* variable_0080        */ false,
		/* notused_1000         */ true,
		/* notused_0200         */ false,
		/* variable_0400        */ true,
		/* variable_0800        */ false,
		/* deviateProtection    */ false,
		/* variable_2000        */ false,
		/* variable_4000        */ false,
		/* variable_8000        */ true
		},
		/* variable_38          */ 16,
		/* unknown_003A         */ { 1, 0 },
		/* movementType         */ 3,
		/* variable_3E          */ 0,
		/* variable_40          */ 40,
		/* turningSpeed         */ 2,
		/* unknown_0043         */ { 0 },
		/* spriteID             */ 238,
		/* turretSpriteID       */ -1,
		/* actionAI             */ 11,
		/* displayMode          */ 1,
		/* variable_4C          */ 0,
		/* fireDelay            */ 50,
		/* variable_50          */ 3,
		/* damage               */ 7,
		/* explosionType        */ 0,
		/* bulletType           */ 23,
		/* bulletSound          */ 59
	},

	{ /* 16 */
		{ /* objectInfo */
		/* stringID_abbrev      */ 226, /* "Harvester" */
		/* name                 */ "Harvester",
		/* stringID_full        */ 227, /* "Spice Harvester" */
		/* wsa                  */ "harvest.wsa",
		{ /* flags */
		/* hasShadow            */ false,
		/* factory              */ false,
		/* notused_0004         */ false,
		/* variable_0008        */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ false,
		/* hasTurret            */ false,
		/* conquerable          */ false,
		/* variable_0100        */ true,
		/* noMessageOnDeath     */ false,
		/* tabSelectable        */ true,
		/* scriptNoSlowdown     */ true,
		/* targetAir            */ false,
		/* priority             */ true,
		/* notused_4000         */ false
		},
		/* spawnChance          */ 128,
		/* hitpoints            */ 150,
		/* fogUncoverRadius     */ 2,
		/* spriteID             */ 100,
		/* buildCredits         */ 300,
		/* buildTime            */ 64,
		/* availableCampaign    */ 0,
		/* structuresRequired   */ 0,
		/* sortPriority         */ 18,
		/* upgradeLevelRequired */ 0,
		/* actionsPlayer        */ { 5, 1, 6, 7 },
		/* available            */ 0,
		/* hintStringID         */ 0,
		/* priorityBuild        */ 10,
		/* priorityTarget       */ 150,
		/* availableHouse       */ 63,
		},
		/* indexStart           */ 22,
		/* indexEnd             */ 101,
		{ /* flags */
		/* notused_0001         */ false,
		/* variable_0002        */ false,
		/* variable_0004        */ true,
		/* sonicProtection      */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ true,
		/* variable_0040        */ true,
		/* variable_0080        */ false,
		/* notused_1000         */ false,
		/* notused_0200         */ false,
		/* variable_0400        */ false,
		/* variable_0800        */ false,
		/* deviateProtection    */ false,
		/* variable_2000        */ false,
		/* variable_4000        */ false,
		/* variable_8000        */ true
		},
		/* variable_38          */ 24,
		/* unknown_003A         */ { 7, 0 },
		/* movementType         */ 2,
		/* variable_3E          */ 0,
		/* variable_40          */ 20,
		/* turningSpeed         */ 1,
		/* unknown_0043         */ { 0 },
		/* spriteID             */ 248,
		/* turretSpriteID       */ -1,
		/* actionAI             */ 5,
		/* displayMode          */ 1,
		/* variable_4C          */ 165,
		/* fireDelay            */ 0,
		/* variable_50          */ 0,
		/* damage               */ 0,
		/* explosionType        */ -1,
		/* bulletType           */ -1,
		/* bulletSound          */ 0
	},

	{ /* 17 */
		{ /* objectInfo */
		/* stringID_abbrev      */ 228, /* "MCV" */
		/* name                 */ "MCV",
		/* stringID_full        */ 229, /* "Mobile Const. Vehicle" */
		/* wsa                  */ "mcv.wsa",
		{ /* flags */
		/* hasShadow            */ false,
		/* factory              */ false,
		/* notused_0004         */ false,
		/* variable_0008        */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ false,
		/* hasTurret            */ false,
		/* conquerable          */ false,
		/* variable_0100        */ true,
		/* noMessageOnDeath     */ false,
		/* tabSelectable        */ true,
		/* scriptNoSlowdown     */ false,
		/* targetAir            */ false,
		/* priority             */ true,
		/* notused_4000         */ false
		},
		/* spawnChance          */ 64,
		/* hitpoints            */ 150,
		/* fogUncoverRadius     */ 2,
		/* spriteID             */ 101,
		/* buildCredits         */ 900,
		/* buildTime            */ 80,
		/* availableCampaign    */ 0,
		/* structuresRequired   */ 0,
		/* sortPriority         */ 20,
		/* upgradeLevelRequired */ 1,
		/* actionsPlayer        */ { 12, 1, 2, 7 },
		/* available            */ 0,
		/* hintStringID         */ 0,
		/* priorityBuild        */ 10,
		/* priorityTarget       */ 150,
		/* availableHouse       */ 63,
		},
		/* indexStart           */ 22,
		/* indexEnd             */ 101,
		{ /* flags */
		/* notused_0001         */ false,
		/* variable_0002        */ false,
		/* variable_0004        */ true,
		/* sonicProtection      */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ true,
		/* variable_0040        */ true,
		/* variable_0080        */ false,
		/* notused_1000         */ false,
		/* notused_0200         */ false,
		/* variable_0400        */ false,
		/* variable_0800        */ false,
		/* deviateProtection    */ false,
		/* variable_2000        */ false,
		/* variable_4000        */ false,
		/* variable_8000        */ true
		},
		/* variable_38          */ 24,
		/* unknown_003A         */ { 7, 0 },
		/* movementType         */ 1,
		/* variable_3E          */ 0,
		/* variable_40          */ 20,
		/* turningSpeed         */ 1,
		/* unknown_0043         */ { 0 },
		/* spriteID             */ 253,
		/* turretSpriteID       */ -1,
		/* actionAI             */ 11,
		/* displayMode          */ 1,
		/* variable_4C          */ 0,
		/* fireDelay            */ 0,
		/* variable_50          */ 0,
		/* damage               */ 0,
		/* explosionType        */ -1,
		/* bulletType           */ -1,
		/* bulletSound          */ 0
	},

	{ /* 18 */
		{ /* objectInfo */
		/* stringID_abbrev      */ 0,
		/* name                 */ "Death Hand",
		/* stringID_full        */ 0,
		/* wsa                  */ "gold-bb.wsa",
		{ /* flags */
		/* hasShadow            */ false,
		/* factory              */ false,
		/* notused_0004         */ false,
		/* variable_0008        */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ false,
		/* hasTurret            */ false,
		/* conquerable          */ false,
		/* variable_0100        */ false,
		/* noMessageOnDeath     */ true,
		/* tabSelectable        */ false,
		/* scriptNoSlowdown     */ true,
		/* targetAir            */ false,
		/* priority             */ false,
		/* notused_4000         */ false
		},
		/* spawnChance          */ 0,
		/* hitpoints            */ 70,
		/* fogUncoverRadius     */ 0,
		/* spriteID             */ 0,
		/* buildCredits         */ 0,
		/* buildTime            */ 0,
		/* availableCampaign    */ 0,
		/* structuresRequired   */ 0,
		/* sortPriority         */ 0,
		/* upgradeLevelRequired */ 0,
		/* actionsPlayer        */ { 7, 7, 7, 7 },
		/* available            */ 0,
		/* hintStringID         */ 0,
		/* priorityBuild        */ 0,
		/* priorityTarget       */ 0,
		/* availableHouse       */ 1,
		},
		/* indexStart           */ 12,
		/* indexEnd             */ 15,
		{ /* flags */
		/* notused_0001         */ false,
		/* variable_0002        */ true,
		/* variable_0004        */ false,
		/* sonicProtection      */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ false,
		/* variable_0040        */ false,
		/* variable_0080        */ false,
		/* notused_1000         */ false,
		/* notused_0200         */ false,
		/* variable_0400        */ false,
		/* variable_0800        */ false,
		/* deviateProtection    */ true,
		/* variable_2000        */ false,
		/* variable_4000        */ false,
		/* variable_8000        */ false
		},
		/* variable_38          */ 32,
		/* unknown_003A         */ { 6, 0 },
		/* movementType         */ 4,
		/* variable_3E          */ 0,
		/* variable_40          */ 250,
		/* turningSpeed         */ 2,
		/* unknown_0043         */ { 0 },
		/* spriteID             */ 278,
		/* turretSpriteID       */ -1,
		/* actionAI             */ 0xFF,
		/* displayMode          */ 2,
		/* variable_4C          */ 0,
		/* fireDelay            */ 0,
		/* variable_50          */ 15,
		/* damage               */ 100,
		/* explosionType        */ 11,
		/* bulletType           */ -1,
		/* bulletSound          */ 42
	},

	{ /* 19 */
		{ /* objectInfo */
		/* stringID_abbrev      */ 0,
		/* name                 */ "Rocket",
		/* stringID_full        */ 0,
		/* wsa                  */ NULL,
		{ /* flags */
		/* hasShadow            */ false,
		/* factory              */ false,
		/* notused_0004         */ false,
		/* variable_0008        */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ false,
		/* hasTurret            */ false,
		/* conquerable          */ false,
		/* variable_0100        */ false,
		/* noMessageOnDeath     */ true,
		/* tabSelectable        */ false,
		/* scriptNoSlowdown     */ true,
		/* targetAir            */ false,
		/* priority             */ false,
		/* notused_4000         */ false
		},
		/* spawnChance          */ 0,
		/* hitpoints            */ 70,
		/* fogUncoverRadius     */ 0,
		/* spriteID             */ 0,
		/* buildCredits         */ 0,
		/* buildTime            */ 0,
		/* availableCampaign    */ 0,
		/* structuresRequired   */ 0,
		/* sortPriority         */ 0,
		/* upgradeLevelRequired */ 0,
		/* actionsPlayer        */ { 7, 7, 7, 7 },
		/* available            */ 0,
		/* hintStringID         */ 0,
		/* priorityBuild        */ 0,
		/* priorityTarget       */ 0,
		/* availableHouse       */ 63,
		},
		/* indexStart           */ 12,
		/* indexEnd             */ 15,
		{ /* flags */
		/* notused_0001         */ false,
		/* variable_0002        */ true,
		/* variable_0004        */ false,
		/* sonicProtection      */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ false,
		/* variable_0040        */ false,
		/* variable_0080        */ false,
		/* notused_1000         */ false,
		/* notused_0200         */ false,
		/* variable_0400        */ false,
		/* variable_0800        */ true,
		/* deviateProtection    */ true,
		/* variable_2000        */ true,
		/* variable_4000        */ true,
		/* variable_8000        */ false
		},
		/* variable_38          */ 16,
		/* unknown_003A         */ { 6, 0 },
		/* movementType         */ 4,
		/* variable_3E          */ 7,
		/* variable_40          */ 200,
		/* turningSpeed         */ 2,
		/* unknown_0043         */ { 0 },
		/* spriteID             */ 258,
		/* turretSpriteID       */ -1,
		/* actionAI             */ 0xFF,
		/* displayMode          */ 2,
		/* variable_4C          */ 0,
		/* fireDelay            */ 0,
		/* variable_50          */ 8,
		/* damage               */ 75,
		/* explosionType        */ 3,
		/* bulletType           */ -1,
		/* bulletSound          */ 42
	},

	{ /* 20 */
		{ /* objectInfo */
		/* stringID_abbrev      */ 0,
		/* name                 */ "ARocket",
		/* stringID_full        */ 0,
		/* wsa                  */ NULL,
		{ /* flags */
		/* hasShadow            */ false,
		/* factory              */ false,
		/* notused_0004         */ false,
		/* variable_0008        */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ false,
		/* hasTurret            */ false,
		/* conquerable          */ false,
		/* variable_0100        */ false,
		/* noMessageOnDeath     */ true,
		/* tabSelectable        */ false,
		/* scriptNoSlowdown     */ true,
		/* targetAir            */ false,
		/* priority             */ false,
		/* notused_4000         */ false
		},
		/* spawnChance          */ 0,
		/* hitpoints            */ 70,
		/* fogUncoverRadius     */ 0,
		/* spriteID             */ 0,
		/* buildCredits         */ 0,
		/* buildTime            */ 0,
		/* availableCampaign    */ 0,
		/* structuresRequired   */ 0,
		/* sortPriority         */ 0,
		/* upgradeLevelRequired */ 0,
		/* actionsPlayer        */ { 7, 7, 7, 7 },
		/* available            */ 0,
		/* hintStringID         */ 0,
		/* priorityBuild        */ 0,
		/* priorityTarget       */ 0,
		/* availableHouse       */ 63,
		},
		/* indexStart           */ 12,
		/* indexEnd             */ 15,
		{ /* flags */
		/* notused_0001         */ false,
		/* variable_0002        */ true,
		/* variable_0004        */ false,
		/* sonicProtection      */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ false,
		/* variable_0040        */ false,
		/* variable_0080        */ false,
		/* notused_1000         */ false,
		/* notused_0200         */ false,
		/* variable_0400        */ false,
		/* variable_0800        */ true,
		/* deviateProtection    */ true,
		/* variable_2000        */ true,
		/* variable_4000        */ false,
		/* variable_8000        */ false
		},
		/* variable_38          */ 16,
		/* unknown_003A         */ { 6, 0 },
		/* movementType         */ 4,
		/* variable_3E          */ 7,
		/* variable_40          */ 160,
		/* turningSpeed         */ 8,
		/* unknown_0043         */ { 0 },
		/* spriteID             */ 258,
		/* turretSpriteID       */ -1,
		/* actionAI             */ 0xFF,
		/* displayMode          */ 2,
		/* variable_4C          */ 0,
		/* fireDelay            */ 0,
		/* variable_50          */ 60,
		/* damage               */ 75,
		/* explosionType        */ 3,
		/* bulletType           */ -1,
		/* bulletSound          */ 42
	},

	{ /* 21 */
		{ /* objectInfo */
		/* stringID_abbrev      */ 0,
		/* name                 */ "GRocket",
		/* stringID_full        */ 0,
		/* wsa                  */ NULL,
		{ /* flags */
		/* hasShadow            */ false,
		/* factory              */ false,
		/* notused_0004         */ false,
		/* variable_0008        */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ false,
		/* hasTurret            */ false,
		/* conquerable          */ false,
		/* variable_0100        */ false,
		/* noMessageOnDeath     */ true,
		/* tabSelectable        */ false,
		/* scriptNoSlowdown     */ true,
		/* targetAir            */ false,
		/* priority             */ false,
		/* notused_4000         */ false
		},
		/* spawnChance          */ 0,
		/* hitpoints            */ 70,
		/* fogUncoverRadius     */ 0,
		/* spriteID             */ 0,
		/* buildCredits         */ 0,
		/* buildTime            */ 0,
		/* availableCampaign    */ 0,
		/* structuresRequired   */ 0,
		/* sortPriority         */ 0,
		/* upgradeLevelRequired */ 0,
		/* actionsPlayer        */ { 7, 7, 7, 7 },
		/* available            */ 0,
		/* hintStringID         */ 0,
		/* priorityBuild        */ 0,
		/* priorityTarget       */ 0,
		/* availableHouse       */ 63,
		},
		/* indexStart           */ 12,
		/* indexEnd             */ 15,
		{ /* flags */
		/* notused_0001         */ false,
		/* variable_0002        */ true,
		/* variable_0004        */ false,
		/* sonicProtection      */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ false,
		/* variable_0040        */ false,
		/* variable_0080        */ false,
		/* notused_1000         */ false,
		/* notused_0200         */ false,
		/* variable_0400        */ false,
		/* variable_0800        */ false,
		/* deviateProtection    */ true,
		/* variable_2000        */ true,
		/* variable_4000        */ true,
		/* variable_8000        */ false
		},
		/* variable_38          */ 16,
		/* unknown_003A         */ { 6, 0 },
		/* movementType         */ 4,
		/* variable_3E          */ 7,
		/* variable_40          */ 200,
		/* turningSpeed         */ 2,
		/* unknown_0043         */ { 0 },
		/* spriteID             */ 258,
		/* turretSpriteID       */ -1,
		/* actionAI             */ 0xFF,
		/* displayMode          */ 2,
		/* variable_4C          */ 0,
		/* fireDelay            */ 0,
		/* variable_50          */ 7,
		/* damage               */ 75,
		/* explosionType        */ 7,
		/* bulletType           */ -1,
		/* bulletSound          */ 42
	},

	{ /* 22 */
		{ /* objectInfo */
		/* stringID_abbrev      */ 0,
		/* name                 */ "MiniRocket",
		/* stringID_full        */ 0,
		/* wsa                  */ NULL,
		{ /* flags */
		/* hasShadow            */ false,
		/* factory              */ false,
		/* notused_0004         */ false,
		/* variable_0008        */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ false,
		/* hasTurret            */ false,
		/* conquerable          */ false,
		/* variable_0100        */ false,
		/* noMessageOnDeath     */ true,
		/* tabSelectable        */ false,
		/* scriptNoSlowdown     */ true,
		/* targetAir            */ false,
		/* priority             */ false,
		/* notused_4000         */ false
		},
		/* spawnChance          */ 0,
		/* hitpoints            */ 70,
		/* fogUncoverRadius     */ 0,
		/* spriteID             */ 0,
		/* buildCredits         */ 0,
		/* buildTime            */ 0,
		/* availableCampaign    */ 0,
		/* structuresRequired   */ 0,
		/* sortPriority         */ 0,
		/* upgradeLevelRequired */ 0,
		/* actionsPlayer        */ { 7, 7, 7, 7 },
		/* available            */ 0,
		/* hintStringID         */ 0,
		/* priorityBuild        */ 0,
		/* priorityTarget       */ 0,
		/* availableHouse       */ 63,
		},
		/* indexStart           */ 12,
		/* indexEnd             */ 15,
		{ /* flags */
		/* notused_0001         */ false,
		/* variable_0002        */ true,
		/* variable_0004        */ false,
		/* sonicProtection      */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ false,
		/* variable_0040        */ false,
		/* variable_0080        */ false,
		/* notused_1000         */ false,
		/* notused_0200         */ false,
		/* variable_0400        */ false,
		/* variable_0800        */ false,
		/* deviateProtection    */ true,
		/* variable_2000        */ true,
		/* variable_4000        */ false,
		/* variable_8000        */ false
		},
		/* variable_38          */ 8,
		/* unknown_003A         */ { 6, 0 },
		/* movementType         */ 4,
		/* variable_3E          */ 7,
		/* variable_40          */ 180,
		/* turningSpeed         */ 5,
		/* unknown_0043         */ { 0 },
		/* spriteID             */ 268,
		/* turretSpriteID       */ -1,
		/* actionAI             */ 0xFF,
		/* displayMode          */ 2,
		/* variable_4C          */ 0,
		/* fireDelay            */ 0,
		/* variable_50          */ 3,
		/* damage               */ 0,
		/* explosionType        */ 18,
		/* bulletType           */ -1,
		/* bulletSound          */ 64
	},

	{ /* 23 */
		{ /* objectInfo */
		/* stringID_abbrev      */ 0,
		/* name                 */ "Bullet",
		/* stringID_full        */ 0,
		/* wsa                  */ NULL,
		{ /* flags */
		/* hasShadow            */ false,
		/* factory              */ false,
		/* notused_0004         */ false,
		/* variable_0008        */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ false,
		/* hasTurret            */ false,
		/* conquerable          */ false,
		/* variable_0100        */ false,
		/* noMessageOnDeath     */ true,
		/* tabSelectable        */ false,
		/* scriptNoSlowdown     */ true,
		/* targetAir            */ false,
		/* priority             */ false,
		/* notused_4000         */ false
		},
		/* spawnChance          */ 0,
		/* hitpoints            */ 1,
		/* fogUncoverRadius     */ 0,
		/* spriteID             */ 0,
		/* buildCredits         */ 0,
		/* buildTime            */ 0,
		/* availableCampaign    */ 0,
		/* structuresRequired   */ 0,
		/* sortPriority         */ 0,
		/* upgradeLevelRequired */ 0,
		/* actionsPlayer        */ { 7, 7, 7, 7 },
		/* available            */ 0,
		/* hintStringID         */ 0,
		/* priorityBuild        */ 0,
		/* priorityTarget       */ 0,
		/* availableHouse       */ 63,
		},
		/* indexStart           */ 12,
		/* indexEnd             */ 15,
		{ /* flags */
		/* notused_0001         */ false,
		/* variable_0002        */ true,
		/* variable_0004        */ true,
		/* sonicProtection      */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ false,
		/* variable_0040        */ false,
		/* variable_0080        */ false,
		/* notused_1000         */ false,
		/* notused_0200         */ false,
		/* variable_0400        */ false,
		/* variable_0800        */ false,
		/* deviateProtection    */ true,
		/* variable_2000        */ false,
		/* variable_4000        */ false,
		/* variable_8000        */ false
		},
		/* variable_38          */ 8,
		/* unknown_003A         */ { 6, 0 },
		/* movementType         */ 4,
		/* variable_3E          */ 0,
		/* variable_40          */ 250,
		/* turningSpeed         */ 0,
		/* unknown_0043         */ { 0 },
		/* spriteID             */ 174,
		/* turretSpriteID       */ -1,
		/* actionAI             */ 0xFF,
		/* displayMode          */ 0,
		/* variable_4C          */ 0,
		/* fireDelay            */ 0,
		/* variable_50          */ 0,
		/* damage               */ 0,
		/* explosionType        */ 0,
		/* bulletType           */ -1,
		/* bulletSound          */ -1
	},

	{ /* 24 */
		{ /* objectInfo */
		/* stringID_abbrev      */ 0,
		/* name                 */ "Sonic Blast",
		/* stringID_full        */ 0,
		/* wsa                  */ NULL,
		{ /* flags */
		/* hasShadow            */ false,
		/* factory              */ false,
		/* notused_0004         */ false,
		/* variable_0008        */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ true,
		/* hasTurret            */ false,
		/* conquerable          */ false,
		/* variable_0100        */ false,
		/* noMessageOnDeath     */ true,
		/* tabSelectable        */ false,
		/* scriptNoSlowdown     */ true,
		/* targetAir            */ false,
		/* priority             */ false,
		/* notused_4000         */ false
		},
		/* spawnChance          */ 0,
		/* hitpoints            */ 1,
		/* fogUncoverRadius     */ 0,
		/* spriteID             */ 0,
		/* buildCredits         */ 0,
		/* buildTime            */ 0,
		/* availableCampaign    */ 0,
		/* structuresRequired   */ 0,
		/* sortPriority         */ 0,
		/* upgradeLevelRequired */ 0,
		/* actionsPlayer        */ { 7, 7, 7, 7 },
		/* available            */ 0,
		/* hintStringID         */ 0,
		/* priorityBuild        */ 0,
		/* priorityTarget       */ 0,
		/* availableHouse       */ 63,
		},
		/* indexStart           */ 12,
		/* indexEnd             */ 15,
		{ /* flags */
		/* notused_0001         */ false,
		/* variable_0002        */ false,
		/* variable_0004        */ false,
		/* sonicProtection      */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ false,
		/* variable_0040        */ false,
		/* variable_0080        */ false,
		/* notused_1000         */ false,
		/* notused_0200         */ false,
		/* variable_0400        */ false,
		/* variable_0800        */ false,
		/* deviateProtection    */ true,
		/* variable_2000        */ false,
		/* variable_4000        */ false,
		/* variable_8000        */ false
		},
		/* variable_38          */ 32,
		/* unknown_003A         */ { 6, 0 },
		/* movementType         */ 4,
		/* variable_3E          */ 7,
		/* variable_40          */ 200,
		/* turningSpeed         */ 0,
		/* unknown_0043         */ { 0 },
		/* spriteID             */ 160,
		/* turretSpriteID       */ -1,
		/* actionAI             */ 0xFF,
		/* displayMode          */ 0,
		/* variable_4C          */ 0,
		/* fireDelay            */ 0,
		/* variable_50          */ 10,
		/* damage               */ 25,
		/* explosionType        */ -1,
		/* bulletType           */ -1,
		/* bulletSound          */ -1
	},

	{ /* 25 */
		{ /* objectInfo */
		/* stringID_abbrev      */ 230, /* "Sandworm" */
		/* name                 */ "Sandworm",
		/* stringID_full        */ 231, /* "Sandworm" */
		/* wsa                  */ NULL,
		{ /* flags */
		/* hasShadow            */ false,
		/* factory              */ false,
		/* notused_0004         */ false,
		/* variable_0008        */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ true,
		/* hasTurret            */ false,
		/* conquerable          */ false,
		/* variable_0100        */ false,
		/* noMessageOnDeath     */ true,
		/* tabSelectable        */ true,
		/* scriptNoSlowdown     */ true,
		/* targetAir            */ false,
		/* priority             */ true,
		/* notused_4000         */ false
		},
		/* spawnChance          */ 0,
		/* hitpoints            */ 1000,
		/* fogUncoverRadius     */ 0,
		/* spriteID             */ 105,
		/* buildCredits         */ 0,
		/* buildTime            */ 0,
		/* availableCampaign    */ 0,
		/* structuresRequired   */ 0,
		/* sortPriority         */ 0,
		/* upgradeLevelRequired */ 0,
		/* actionsPlayer        */ { 0, 0, 0, 0 },
		/* available            */ 0,
		/* hintStringID         */ 0,
		/* priorityBuild        */ 0,
		/* priorityTarget       */ 0,
		/* availableHouse       */ 8,
		},
		/* indexStart           */ 16,
		/* indexEnd             */ 17,
		{ /* flags */
		/* notused_0001         */ false,
		/* variable_0002        */ false,
		/* variable_0004        */ false,
		/* sonicProtection      */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ false,
		/* variable_0040        */ true,
		/* variable_0080        */ false,
		/* notused_1000         */ false,
		/* notused_0200         */ false,
		/* variable_0400        */ false,
		/* variable_0800        */ false,
		/* deviateProtection    */ true,
		/* variable_2000        */ false,
		/* variable_4000        */ false,
		/* variable_8000        */ false
		},
		/* variable_38          */ 24,
		/* unknown_003A         */ { 7, 0 },
		/* movementType         */ 5,
		/* variable_3E          */ 0,
		/* variable_40          */ 35,
		/* turningSpeed         */ 3,
		/* unknown_0043         */ { 0 },
		/* spriteID             */ 161,
		/* turretSpriteID       */ -1,
		/* actionAI             */ 0xFF,
		/* displayMode          */ 1,
		/* variable_4C          */ 0,
		/* fireDelay            */ 20,
		/* variable_50          */ 0,
		/* damage               */ 300,
		/* explosionType        */ 13,
		/* bulletType           */ 25,
		/* bulletSound          */ 63
	},

	{ /* 26 */
		{ /* objectInfo */
		/* stringID_abbrev      */ 0,
		/* name                 */ "Frigate",
		/* stringID_full        */ 0,
		/* wsa                  */ NULL,
		{ /* flags */
		/* hasShadow            */ true,
		/* factory              */ false,
		/* notused_0004         */ false,
		/* variable_0008        */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ false,
		/* hasTurret            */ false,
		/* conquerable          */ false,
		/* variable_0100        */ false,
		/* noMessageOnDeath     */ true,
		/* tabSelectable        */ false,
		/* scriptNoSlowdown     */ true,
		/* targetAir            */ false,
		/* priority             */ true,
		/* notused_4000         */ false
		},
		/* spawnChance          */ 0,
		/* hitpoints            */ 100,
		/* fogUncoverRadius     */ 0,
		/* spriteID             */ 0,
		/* buildCredits         */ 0,
		/* buildTime            */ 0,
		/* availableCampaign    */ 0,
		/* structuresRequired   */ 0,
		/* sortPriority         */ 0,
		/* upgradeLevelRequired */ 0,
		/* actionsPlayer        */ { 7, 7, 7, 7 },
		/* available            */ 0,
		/* hintStringID         */ 0,
		/* priorityBuild        */ 0,
		/* priorityTarget       */ 0,
		/* availableHouse       */ 63,
		},
		/* indexStart           */ 11,
		/* indexEnd             */ 11,
		{ /* flags */
		/* notused_0001         */ false,
		/* variable_0002        */ false,
		/* variable_0004        */ false,
		/* sonicProtection      */ false,
		/* variable_0010        */ false,
		/* variable_0020        */ false,
		/* variable_0040        */ false,
		/* variable_0080        */ false,
		/* notused_1000         */ false,
		/* notused_0200         */ false,
		/* variable_0400        */ false,
		/* variable_0800        */ false,
		/* deviateProtection    */ true,
		/* variable_2000        */ false,
		/* variable_4000        */ false,
		/* variable_8000        */ false
		},
		/* variable_38          */ 32,
		/* unknown_003A         */ { 5, 0 },
		/* movementType         */ 4,
		/* variable_3E          */ 0,
		/* variable_40          */ 130,
		/* turningSpeed         */ 2,
		/* unknown_0043         */ { 0 },
		/* spriteID             */ 298,
		/* turretSpriteID       */ -1,
		/* actionAI             */ 0xFF,
		/* displayMode          */ 1,
		/* variable_4C          */ 0,
		/* fireDelay            */ 0,
		/* variable_50          */ 0,
		/* damage               */ 0,
		/* explosionType        */ -1,
		/* bulletType           */ -1,
		/* bulletSound          */ -1
	}
};
